#!/bin/zsh

init(){
	export XPER_ROOT=$(pwd)
	mkdir 001 2>/dev/null
	mkdir .xper 2>/dev/null

	if [ $? -eq 1 ]; then
		printf "already initialized ;)\n"
	fi
	printf "cd into the 001/\n"

	if [ ${#TAG} -eq 0 ]; then TAG="main" fi
	printf "TAG=$TAG\n" >> .meta
};

if [ $# -eq 0 ] || [ $1 != "--import" ]; then
	init $@
fi
