#!/bin/zsh

. utils.sh --import

lore(){
	TAGGED_PATH=$1
	REAL_PATH=".."

	if [ $(pwd) = $XPER_ROOT ]; then
		printf "cannot expand from the root folder\n"
		return 1
	elif [ ${#TAGGED_PATH} -gt 0 ]; then
		echo tagged_path=$TAGGED_PATH
		path_from_tagged_path $TAGGED_PATH
		# REAL_PATH="$(path_from_tagged_path $TAGGED_PATH)"
		if [ $? -eq 1 ]; then
			printf "tagged path doens't exist :(\n"
			return 1
		fi
	fi

	# echo "got it=$REAL_PATH"
	MAXNUM=$(get_next_max_num $REAL_PATH)
	mkdir $REAL_PATH/$MAXNUM
	cp -r ./ $REAL_PATH/$MAXNUM 2>/dev/null
	printf "copied_from=$(pwd)\n" > $REAL_PATH/$MAXNUM/.meta
	return 0
};

if [ $# -eq 0 ] || [ $1 != "--import" ]; then
	lore $@
fi
